Bug 833346 - [Storage][Live Snapshot] Null Pointer exception at the end of live snapshot creation.
[Storage][Live Snapshot] Null Pointer exception at the end of live snapshot c...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: 3.1.0
Assigned To: Allon Mureinik
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 05:25 EDT by Leonid Natapov
Modified: 2016-02-10 11:39 EST (History)
9 users (show)

See Also:
Fixed In Version: si7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2012-06-19 05:25:13 EDT
[Storage][Live Snapshot] Null Pointer exception at the end of live snapshot creation. Although the snapshot created successfully. 

How to reproduce:
1.Have running VM.
2.Create snapshot while VM is running.

Snapshot will be created but there is a null pointer exception at the end of snapshot creation. You can see it in the engine.log.

--------------------

2012-06-19 12:10:21,813 INFO  [org.ovirt.engine.core.bll.EntityAsyncTask] (pool-3-thread-50) EntityAsyncTask::HandleEndActionResult [within thread]: Removing EntityMultiAsyncTasks object for entity d1c76c1b-95d4-4bff-bf3b-8509a789d658
2012-06-19 12:10:22,092 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (QuartzScheduler_Worker-53) [63bc0cfb] START, FullListVdsCommand(vdsId = c3a65d82-b91e-11e1-a981-a32b2b46ce6d, vds=null, vmIds=[d1c76c1b-95d4-4bff-bf3b-8509a789d658]), log id: 6e56dc1c
2012-06-19 12:10:22,102 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.VdsBrokerCommand] (QuartzScheduler_Worker-53) [63bc0cfb] XML RPC error in command FullListVds (  ), the error was: java.util.concurrent.ExecutionException: java.lang.reflect.InvocationTargetException, XmlRpcException: <type 'exceptions.TypeError'>:cannot marshal None unless allow_none is enabled
2012-06-19 12:10:22,103 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FullListVdsCommand] (QuartzScheduler_Worker-53) [63bc0cfb] FINISH, FullListVdsCommand, log id: 6e56dc1c
2012-06-19 12:10:22,120 WARN  [org.ovirt.engine.core.vdsbroker.VdsManager] (QuartzScheduler_Worker-53) [63bc0cfb] ResourceManager::refreshVdsRunTimeInfo::Failed to refresh VDS , vds = c3a65d82-b91e-11e1-a981-a32b2b46ce6d : purple-vds2, error = NullPointerException: , continuing.
2012-06-19 12:10:22,125 ERROR [org.ovirt.engine.core.vdsbroker.VdsManager] (QuartzScheduler_Worker-53) [63bc0cfb] ResourceManager::refreshVdsRunTimeInfo: java.lang.NullPointerException
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.updateVmDevices(VdsUpdateRunTimeInfo.java:942) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.updateVmDevices(VdsUpdateRunTimeInfo.java:924) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.handleVmDeviceChange(VdsUpdateRunTimeInfo.java:913) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.refreshVmStats(VdsUpdateRunTimeInfo.java:864) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.refreshVdsRunTimeInfo(VdsUpdateRunTimeInfo.java:424) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo.Refresh(VdsUpdateRunTimeInfo.java:259) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsManager$1.runInTransaction(VdsManager.java:234) [engine-vdsbroker.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:168) [engine-utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:107) [engine-utils.jar:]
        at org.ovirt.engine.core.vdsbroker.VdsManager.OnTimer(VdsManager.java:215) [engine-vdsbroker.jar:]
        at sun.reflect.GeneratedMethodAccessor82.invoke(Unknown Source) [:1.6.0_24]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.6.0_24]
        at java.lang.reflect.Method.invoke(Method.java:616) [rt.jar:1.6.0_24]
        at org.ovirt.engine.core.utils.timer.JobWrapper.execute(JobWrapper.java:64) [engine-scheduler.jar:]
        at org.quartz.core.JobRunShell.run(JobRunShell.java:213) [quartz-2.1.2.jar:]
        at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:557) [quartz-2.1.2.jar:]
Comment 1 Allon Mureinik 2012-06-19 10:51:28 EDT
AFAIK, this should be solved as part of f496fbfa9e08dc81e325a7befe11e3bee823671f, which will be avialable in si7
Comment 2 Leonid Natapov 2012-06-26 10:10:04 EDT
si7. fixed.

Note You need to log in before you can comment on or make changes to this bug.